### Function

# Gtk ListBoxCreateWidgetFunc

#### Declaration

    GtkWidget*
    ListBoxCreateWidgetFunc (
      GObject* item,
      gpointer user_data
    )

#### Description [src]

Called for list boxes that are bound to a `GListModel` with gtk_list_box_bind_model() for each item that gets added to the model.

#### Parameters

`item` | `GObject*`
| The item from the model for which to create a widget for.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| User data.

#### Return value

Returns: | `GtkWidget`
| A `GtkWidget` that represents `item`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.